List observation groups for any user (admin)
GET/nevisadapt/api/admin/user-observation-groups
Returns observation groups for the user identified by loginId + realm.
⚠ Pagination / sorting not supported. All matching observations are loaded into memory and returned in a single response regardless of any
page,size, orsortquery parameters. Those parameters are accepted by the framework but have no effect on the result.
Request
Query Parameters
loginId stringrequired
realm stringrequired
trustedOnly boolean
When true, only observations from trusted sessions are returned
Responses
- 200
- 401
- 403
Full list of observation groups (no pagination)
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
content object[]
loginId string
realm string
observationType string
observationValue string
firstSeen date-time
lastSeen date-time
trusted boolean
count int64
page object
Pagination metadata
size integer
totalElements int64
totalPages integer
number integer
{
"content": [
{
"loginId": "string",
"realm": "string",
"observationType": "string",
"observationValue": "string",
"firstSeen": "2024-07-29T15:51:28.071Z",
"lastSeen": "2024-07-29T15:51:28.071Z",
"trusted": true,
"count": 0
}
],
"page": {
"size": 0,
"totalElements": 0,
"totalPages": 0,
"number": 0
}
}
Missing or invalid bearer token
Insufficient permissions
Loading...